Bug 821978 - UXD global UI change to checkboxes in grids
UXD global UI change to checkboxes in grids
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 21:49 EDT by Mike Thompson
Modified: 2013-09-01 06:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:06:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Checkboxes in the grid (54.95 KB, image/jpeg)
2012-05-15 21:49 EDT, Mike Thompson
no flags Details

  None (edit)
Description Mike Thompson 2012-05-15 21:49:49 EDT
Created attachment 584826 [details]
Checkboxes in the grid

Description of problem:
This change is from the remove the green checkbox representation in the grids and replace them with standard black checkboxes; additionally replacing the empty representation to from the minus sign (that looks like it opens a tree node).

Version-Release number of selected component (if applicable):
All
Comment 1 Harlan 2012-05-16 11:13:50 EDT
This solution should address the Bug based on the screen shot provided. If this tied to a global structure please supply more content to ensure it doesn't break in other areas of the application.

Proposed Solution:
I agree with switching the checkbox to black. We should also eliminate the "open-tree" node Icon all together (no icon needed). This will decrease the clutter allowing the user to more easily scan for what is enabled. Also, decreasing the visual noise helps since the icon is now going to black.
Comment 2 Mike Thompson 2012-05-16 18:07:47 EDT
master commit: 76e32c69c36b36d728cdecc6b8bd8ad2cc6f6924

Globally changed the look of checkboxes in the list grids. The green checkmarks are replaced with black and unchecked boxes with minus signs (open tree) are now blank (nothing).
Comment 3 Heiko W. Rupp 2013-09-01 06:06:51 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.